List Scopes – Management API – MediaKind
List Scopes
get https://app.mk.io/api/v1/organization/scopes
Returns details of all Scopes.
RBAC Capability Required: core.scope.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Response
200 A list of all scopes
Properties
- kind
stringRequired
The kind of record. - value
list of objectsScopeGetSchema Optional
List of scopes.
Show 3 properties
- kind
stringOptional
The kind of record. - metadata
objectScopeMetadataSchema Required
Scope metadata.
Show 2 properties
- id
stringRequired format: uuid
The ID of the resource - name
stringOptional
The name of the resource - spec
objectScopeSpecSchema Required
Scope specification.
Show 2 properties
- description
stringRequired 0-256 characters
A description of the scope. - resources
list of objectsScopeResourceSchema Optional
List of resources.
Show 2 properties
- id
stringRequired format: uuid
The id of the resource. - type
stringRequired
The type of the resource.
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
Show 3 properties
- code
stringRequired
The error code. - detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error.
Show value schema
- [any key]
any - ref
stringRequired
A reference to the request that caused the error. - status
integerRequired
The HTTP status code